package com.ejie.ab79.model.propuestaSancion;

import java.util.Date;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

public class DocumentosInspeccion {

	private Integer idDocumentoInspeccion;
	private Integer idInspeccion;
	private String folderId;
	private String procedureId;
	private String nombreDocumento;
	private String oidDokusi;
	private String tipoDocumento;
	private Date fechaRegistro;
	private String usuarioRegistro;

	/**
	 * Method 'DocumentosInspeccion'.
	 */
	public DocumentosInspeccion() {
	}

	public Integer getIdDocumentoInspeccion() {
		return idDocumentoInspeccion;
	}

	public void setIdDocumentoInspeccion(Integer idDocumentoInspeccion) {
		this.idDocumentoInspeccion = idDocumentoInspeccion;
	}

	public Integer getIdInspeccion() {
		return idInspeccion;
	}

	public void setIdInspeccion(Integer idInspeccion) {
		this.idInspeccion = idInspeccion;
	}

	public String getFolderId() {
		return folderId;
	}

	public void setFolderId(String folderId) {
		this.folderId = folderId;
	}

	public String getProcedureId() {
		return procedureId;
	}

	public void setProcedureId(String procedureId) {
		this.procedureId = procedureId;
	}

	public String getNombreDocumento() {
		return nombreDocumento;
	}

	public void setNombreDocumento(String nombreDocumento) {
		this.nombreDocumento = nombreDocumento;
	}

	public String getOidDokusi() {
		return oidDokusi;
	}

	public void setOidDokusi(String oidDokusi) {
		this.oidDokusi = oidDokusi;
	}

	public String getTipoDocumento() {
		return tipoDocumento;
	}

	public void setTipoDocumento(String tipoDocumento) {
		this.tipoDocumento = tipoDocumento;
	}

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

}
